local buttons = {}

local function resize_outerGlow(self)
	local frame = self:GetParent()
	frame.outerGlow:SetSize(frame:GetSize())
end

hooksecurefunc("ActionButton_SetupOverlayGlow", function(button)
	if buttons[button] then
		return
	end
	local SpellActivationAlert = button.SpellActivationAlert
	SpellActivationAlert.innerGlow:Hide()
	SpellActivationAlert.innerGlowOver:Hide()
	SpellActivationAlert.outerGlowOver:Hide()
    SpellActivationAlert.animIn:HookScript("OnPlay",resize_outerGlow)
	for k, v in next, {SpellActivationAlert.animIn:GetAnimations()} do
		if k==2 then
			v:SetDuration(0.1)
		elseif (k>2 and k<8) or k==11 then
			v:SetDuration(0)
			if k==6 then
				v:SetScaleTo(1,1)
			end
		elseif k == 8 then
			v:SetTarget(SpellActivationAlert.outerGlow)
			v:SetDuration(0.1)
			v:SetFromAlpha(0)
			v:SetToAlpha(1)
		end
	end
	for k, v in next, {SpellActivationAlert.animOut:GetAnimations()} do
		if k==1 or k==3 then
			v:SetDuration(0)
		end
	end	
	buttons[button] = 1
end)